                                                                                                                                                                                                                                                                                                                    ##  ??
define -2 gui.name_text_outlines = [ (3, "#000000F0", 1, 1) ]
define -2 gui.dialogue_text_outlines = [ (3, "#000000F0", 1, 1) ]
define config.default_music_volume = 0.25
define config.default_sfx_volume = 0.25
define config.default_voice_volume = 0.25

init 998 python:
    def _toggle_quick_menu_q():

        if renpy.has_screen('quick_menu'):
            if not hasattr(store, 'quick_menu'):
                setattr(store, 'quick_menu', True)
                renpy.show_screen('quick_menu')
                setattr(store, 'suppress_overlay', False)
            else:
                if quick_menu == True:
                    setattr(store, 'quick_menu', False)
                    renpy.hide_screen('quick_menu')
                else:
                    setattr(store, 'quick_menu', True)
                    renpy.show_screen('quick_menu')
                    setattr(store, 'suppress_overlay', False)

    config.keymap[ 'toggle_quick_menu_q' ] = [ 'K_q' ]
    config.underlay.append(renpy.Keymap(toggle_quick_menu_q = Function(_toggle_quick_menu_q)))

    if persistent.opacity == None:
        persistent.opacity = 0.

    class get_credits(FileSave):
        def __init__(self, amount, confirm=True, newest=True, page=None, cycle=False):
            super(get_credits,self).__init__(amount=amount,confirm=confirm,newest=newest,page=page,cycle=cycle)
        def __call__(self):
            renpy.call_in_new_context("get_credits")
            return super(get_credits,self).__call__()

    class get_save_name(FileSave):
        def __init__(self, name, confirm=True, newest=True, page=None, cycle=False):
            super(get_save_name,self).__init__(name=name,confirm=confirm,newest=newest,page=page,cycle=cycle)
        def __call__(self):
            renpy.call_in_new_context("get_save_name")
            return super(get_save_name,self).__call__()

init -500 screen navigation():
    vbox:
        style_prefix "navigation"
        xpos gui.navigation_xpos
        yalign 0.5
        spacing gui.navigation_spacing

        if main_menu:
            textbutton _("Start") action Start()

        else:
            textbutton _("History") action ShowMenu("history")
            textbutton _("Save") action ShowMenu("save")

        textbutton _("Load") action ShowMenu("load")
        textbutton _("Preferences") action ShowMenu("preferences")

        if not _in_replay and renpy.has_screen('sceneReplay1'):
            textbutton _("Shaddy's Scene Replay") action [ui.callsinnewcontext("replayNames"), ShowMenu("sceneReplay1")] text_style "shaddyTextButton2"

        if _in_replay:
            textbutton _("End Replay") action SetVariable("quick_menu", True), EndReplay(confirm=True)

        elif not main_menu:
            textbutton _("Main Menu") action MainMenu()

        textbutton _("About") action ShowMenu("about")

        if renpy.variant("pc") or (renpy.variant("web") and not renpy.variant("mobile")):
            textbutton _("Help") action ShowMenu("help")

        if renpy.variant("pc"):
            textbutton _("Quit") action Quit(confirm=not main_menu)


init -500 screen quick_menu():
    zorder 100

    if quick_menu:
        hbox:
            style_prefix "quick"
            xalign 0.5
            yalign 1.0

            textbutton _("Back") action Rollback() text_style "shaddyQMenu"
            #textbutton _("History") action ShowMenu('history') text_style "shaddyQMenu"
            textbutton _("Skip") action Skip() alternate Skip(fast=True, confirm=True) text_style "shaddyQMenu"
            textbutton _("Auto") action Preference("auto-forward", "toggle") text_style "shaddyQMenu"
            #textbutton _("Save") action ShowMenu('save') text_style "shaddyQMenu"
            textbutton _("Q.S") action QuickSave() text_style "shaddyQMenu"
            textbutton _("Q.L") action QuickLoad() text_style "shaddyQMenu"
            textbutton _("Prefs") action ShowMenu('preferences') text_style "shaddyQMenu"

#        hbox:
#            align(0.995,0.001)
#            textbutton _("CHEATS"):
#                text_style "shaddyCheatButton"
#                action ShowMenu("cheatMenu")
#        hbox:
#            align(0.001, 0.001)
#            textbutton _("STATS"):
#                text_style "shaddyCheatButton"
#                action If(renpy.get_screen("stats_bar"), Hide("stats_bar"), Show("stats_bar"))


init -500 screen quick_menu():
    variant "touch"
    zorder 100

    if quick_menu:
        hbox:
            style_prefix "quick"

            xalign 0.5
            yalign 1.0

            textbutton _("Back") action Rollback() text_style "shaddyQMenu"
            textbutton _("Skip") action Skip() alternate Skip(fast=True, confirm=True) text_style "shaddyQMenu"
            textbutton _("Auto") action Preference("auto-forward", "toggle") text_style "shaddyQMenu"
            textbutton _("Menu") action ShowMenu() text_style "shaddyQMenu"


init -500 screen save():
    tag menu
    use file_slots(_("Save"))

init -500 screen load():
    tag menu
    use file_slots(_("Load"))


init -500 screen file_slots(title):

    default page_name_value = FilePageNameInputValue(pattern=_("Page {}"), auto=_("Automatic saves"), quick=_("Quick saves"))

    $ tt_del = GetTooltip()

    use game_menu(title):
        fixed:
            order_reverse True

            button:
                style "page_label"
                key_events True
                xalign 0.5
                action page_name_value.Toggle()

                input:
                    style "page_label_text"
                    value page_name_value

            grid gui.file_slot_cols gui.file_slot_rows:
                style_prefix "slot"
                xalign 0.5
                yalign 0.5
                spacing gui.slot_spacing

                for i in range(gui.file_slot_cols * gui.file_slot_rows):
                    $ slot = i + 1
                    button:
                        if title == "Save":
                            action [SetVariable("save_name",""), get_save_name(slot)]
                        else:
                            action FileAction(slot)

                        add FileScreenshot(slot) xalign 0.5

                        key "save_delete" action FileDelete(slot)

                        vbox:
                            xalign 0.5
                            yalign 1.06
                            text FileTime(slot, format=_("{#file_time}%A, %b %d %Y, %H:%M"), empty=_("empty slot")):
                                style "slot_time_text"

                            text FileSaveName(slot):
                                style "slot_name_text"

                        if FileLoadable(slot):
                            imagebutton:
                                align(0.976,0.71)
                                idle Transform("shaddyMod/images/button_delete_idle.webp", zoom=0.5)
                                hover Transform("shaddyMod/images/button_delete_hover.webp", zoom=0.5)
                                hovered Show("tt_del_scr")
                                unhovered Hide("tt_del_scr")
                                action FileDelete(slot)

            hbox:
                style_prefix "page"

                xalign 0.5
                yalign 0.94

                spacing gui.page_spacing

                textbutton _("Prev") action FilePagePrevious()

                if config.has_autosave:
                    textbutton _("{#auto_page}A") action FilePage("auto")

                if config.has_quicksave:
                    textbutton _("{#quick_page}Q") action FilePage("quick")

                for page in range(1, 10):
                    textbutton "[page]" action FilePage(page)

                textbutton _("Next") action FilePageNext()

screen tt_del_scr():
    text "Delete?" pos renpy.get_mouse_pos() style "tt_del_txt"


init -500 screen modal_input:
    modal True
    frame:
        if renpy.variant("mobile"):
            align(0.5,0.1)
        else:
            align(0.685,0.1)
        xysize(700,103)
        background "#0000007f"
        text prompt style "save_txt" xcenter 0.5
        input id "input" style "save_txt" length 30 allow "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ 0123456789 .-/*()" align(0.5,0.9)

label get_save_name:
    show screen save
    if persistent.enable_save_name:
        $ save_name = renpy.call_screen("modal_input", prompt="Enter a description for your save file", default="(None)", length=10)
    $ renpy.retain_after_load()
    return


init -500 screen preferences():
    tag menu

    $ renpy.retain_after_load()

    use game_menu(_("Options"), scroll="viewport"):

        vbox:

            hbox:
                box_wrap True

                if renpy.variant("pc") or renpy.variant("web") and not renpy.variant("mobile"):

                    vbox:
                        style_prefix "radio"
                        label _("Display")
                        textbutton _("Window") action Preference("display", "window")
                        textbutton _("Fullscreen") action Preference("display", "fullscreen")

                vbox:
                    style_prefix "radio"
                    label _("Rollback Side")
                    textbutton _("Disable") action Preference("rollback side", "disable")
                    textbutton _("Left") action Preference("rollback side", "left")
                    textbutton _("Right") action Preference("rollback side", "right")

                vbox:
                    style_prefix "check"
                    label _("Skip")
                    textbutton _("Unseen Text") action Preference("skip", "toggle")
                    textbutton _("After Choices") action Preference("after choices", "toggle")
                    textbutton _("Transitions") action InvertSelected(Preference("transitions", "toggle"))

            null height (4 * gui.pref_spacing)

            hbox:
                style_prefix "slider"
                box_wrap True

                vbox:
                    label _("Text Speed")
                    bar value Preference("text speed")

                    label _("Auto-Forward Time")
                    bar value Preference("auto-forward time")

                vbox:

                    if config.has_music:
                        label _("Music Volume")
                        hbox:
                            bar value Preference("music volume")

                    if config.has_sound:

                        label _("Sound Volume")
                        hbox:
                            bar value Preference("sound volume")

                            if config.sample_sound:
                                textbutton _("Test") action Play("sound", config.sample_sound)


                    if config.has_voice:
                        label _("Voice Volume")
                        hbox:
                            bar value Preference("voice volume")

                            if config.sample_voice:
                                textbutton _("Test") action Play("voice", config.sample_voice)

                    if config.has_music or config.has_sound or config.has_voice:
                        null height gui.pref_spacing

                        textbutton _("Mute All"):
                            action Preference("all mute", "toggle")
                            style "mute_all_button"

### Shaddy Additions ###
                frame:
                    background Solid("#0000BF7F")
                    xcenter 0.5
                    ycenter 0.6
                    xysize (1300,425)
                    add "#000"
                    add Transform("shaddyMod/images/ShaddyBG3.png", zoom=1.1) alpha 0.65 xalign 0.5 #yalign 0.5
                    vbox:
                        xcenter 0.5
                        ycenter 0.5
                        spacing 30
                        hbox:
                            xcenter 0.5
                            spacing 15
                            hbox:
                                spacing -5
                                text "S" at delayed_blink(0.9, 2.0) outlines [(3, "#000")] style "shaddyHeader"
                                text "h" at delayed_blink(0.8, 2.0) outlines [(3, "#000")] style "shaddyHeader"
                                text "a" at delayed_blink(0.7, 2.0) outlines [(3, "#000")] style "shaddyHeader"
                                text "d" at delayed_blink(0.6, 2.0) outlines [(3, "#000")] style "shaddyHeader"
                                text "d" at delayed_blink(0.5, 2.0) outlines [(3, "#000")] style "shaddyHeader"
                                text "y" at delayed_blink(0.4, 2.0) outlines [(3, "#000")] style "shaddyHeader"
                                text "M" at delayed_blink(0.3, 2.0) outlines [(3, "#000")] style "shaddyHeader"
                                text "o" at delayed_blink(0.2, 2.0) outlines [(3, "#000")] style "shaddyHeader"
                                text "d" at delayed_blink(0.1, 2.0) outlines [(3, "#000")] style "shaddyHeader"
                                text "d" at delayed_blink(0.0, 2.0) outlines [(3, "#000")] style "shaddyHeader"
                                text "a" at delayed_blink(0.0, 2.0) outlines [(3, "#000")] style "shaddyHeader"
                            hbox:
                                spacing -5
                                text "A" at delayed_blink(0.1, 2.0) outlines [(3, "#000")] style "shaddyHeader"
                                text "d" at delayed_blink(0.2, 2.0) outlines [(3, "#000")] style "shaddyHeader"
                                text "d" at delayed_blink(0.3, 2.0) outlines [(3, "#000")] style "shaddyHeader"
                                text "i" at delayed_blink(0.4, 2.0) outlines [(3, "#000")] style "shaddyHeader"
                                text "t" at delayed_blink(0.5, 2.0) outlines [(3, "#000")] style "shaddyHeader"
                                text "i" at delayed_blink(0.6, 2.0) outlines [(3, "#000")] style "shaddyHeader"
                                text "o" at delayed_blink(0.7, 2.0) outlines [(3, "#000")] style "shaddyHeader"
                                text "n" at delayed_blink(0.8, 2.0) outlines [(3, "#000")] style "shaddyHeader"
                                text "s" at delayed_blink(0.9, 2.0) outlines [(3, "#000")] style "shaddyHeader"
                        #text _("ShaddyModda Additions") xcenter 0.5 style "shaddyTextBoxHeader"
                        hbox:
                            spacing 30
                            xcenter 0.5
                            ycenter 0.5
                            vbox:
                                style_prefix "navigation"
                                hbox:
                                    spacing -5
                                    text "R" at delayed_blink(0.2, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                                    text "e" at delayed_blink(0.1, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                                    text "n" at delayed_blink(0.0, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                                    text "a" at delayed_blink(0.0, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                                    text "m" at delayed_blink(0.1, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                                    text "e" at delayed_blink(0.2, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                                #text _("RENAME") style "shaddyTextBody2"
                                textbutton _("Change") action SetVariable("rename", True), [ui.callsinnewcontext("Names")], Return()

                            vbox:
                                style_prefix "radio"
                                hbox:
                                    spacing 5
                                    hbox:
                                        spacing -5
                                        text "Q" at delayed_blink(0.4, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                                        text "u" at delayed_blink(0.3, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                                        text "i" at delayed_blink(0.2, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                                        text "c" at delayed_blink(0.1, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                                        text "k" at delayed_blink(0.0, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                                    hbox:
                                        spacing -5
                                        text "M" at delayed_blink(0.1, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                                        text "e" at delayed_blink(0.2, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                                        text "n" at delayed_blink(0.3, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                                        text "u" at delayed_blink(0.4, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                                #text ("QUICK MENU") style "shaddyTextBody2"
                                hbox:
                                    textbutton "Enabled" action ToggleVariable("quick_menu", true_value=True, false_value=False)
                            vbox:
                                style_prefix "radio"
                                hbox:
                                    spacing 5
                                    hbox:
                                        spacing -5
                                        text "S" at delayed_blink(0.7, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                                        text "a" at delayed_blink(0.6, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                                        text "v" at delayed_blink(0.5, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                                        text "e" at delayed_blink(0.4, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                                    hbox:
                                        spacing -5
                                        text "D" at delayed_blink(0.3, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                                        text "e" at delayed_blink(0.2, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                                        text "s" at delayed_blink(0.1, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                                        text "c" at delayed_blink(0.0, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                                        text "r" at delayed_blink(0.0, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                                        text "i" at delayed_blink(0.1, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                                        text "p" at delayed_blink(0.2, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                                        text "t" at delayed_blink(0.3, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                                        text "i" at delayed_blink(0.4, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                                        text "o" at delayed_blink(0.5, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                                        text "n" at delayed_blink(0.6, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                                        text "s" at delayed_blink(0.7, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                                textbutton _("Enabled") action SetField(persistent, "enable_save_name", True)
                                textbutton _("Disabled") action SetField(persistent, "enable_save_name", False)

                            # vbox:
                            #     style_prefix "check"
                            #     hbox:
                            #         spacing 5
                            #         hbox:
                            #             spacing -5
                            #             text "S" at delayed_blink(0.5, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                            #             text "t" at delayed_blink(0.4, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                            #             text "a" at delayed_blink(0.3, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                            #             text "y" at delayed_blink(0.2, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                            #         hbox:
                            #             spacing -5
                            #             text "E" at delayed_blink(0.1, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                            #             text "x" at delayed_blink(0.0, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                            #             text "c" at delayed_blink(0.1, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                            #             text "i" at delayed_blink(0.2, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                            #             text "t" at delayed_blink(0.3, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                            #             text "e" at delayed_blink(0.4, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                            #             text "d" at delayed_blink(0.5, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                            #     #text _("WALKTHROUGH") style "shaddyTextBody2"
                            #     textbutton "Enabled" action ToggleVariable("stay_excited", true_value=True, false_value=False)

                        hbox:
                            xcenter 0.5
                            ycenter 0.5
                            vbox:
                                style_prefix "slider"
                                hbox:
                                    xcenter 0.27
                                    spacing 5
                                    hbox:
                                        spacing -5
                                        text "T" at delayed_blink(0.4, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                                        text "e" at delayed_blink(0.3, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                                        text "x" at delayed_blink(0.2, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                                        text "t" at delayed_blink(0.1, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                                    hbox:
                                        spacing -5
                                        text "S" at delayed_blink(0.0, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                                        text "i" at delayed_blink(0.0, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                                        text "z" at delayed_blink(0.1, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                                        text "e" at delayed_blink(0.2, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                                        text ":" at delayed_blink(0.3, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                                    hbox:
                                        spacing -5
                                        text _("%s" % (persistent.pref_text_size)) at delayed_blink(0.4, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                                #text _("TEXT SIZE: %s" % (persistent.pref_text_size)) xcenter 0.26 style "shaddyTextBody1"
                                bar value FieldValue(object=persistent, field='pref_text_size', range=(gui.text_size * 2), max_is_zero=False, style=u'slider', offset=0, step=1) xcenter 0.5

                            vbox:
                                style_prefix "slider"
                                $ opacity = persistent.opacity * 100
                                hbox:
                                    xcenter 0.25
                                    spacing 5
                                    hbox:
                                        spacing -5
                                        text "T" at delayed_blink(0.6, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                                        text "e" at delayed_blink(0.5, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                                        text "x" at delayed_blink(0.4, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                                        text "t" at delayed_blink(0.3, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                                        text "b" at delayed_blink(0.2, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                                        text "o" at delayed_blink(0.1, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                                        text "x" at delayed_blink(0.0, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                                    hbox:
                                        spacing -5
                                        text "O" at delayed_blink(0.0, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                                        text "p" at delayed_blink(0.1, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                                        text "a" at delayed_blink(0.2, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                                        text "c" at delayed_blink(0.3, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                                        text "i" at delayed_blink(0.4, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                                        text "t" at delayed_blink(0.5, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                                        text "y" at delayed_blink(0.6, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                                        text ":" at delayed_blink(0.7, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                                    hbox:
                                        spacing -5
                                        text "[opacity:.0f]%" at delayed_blink(0.8, 2.0) outlines [(3, "#000")] style "shaddyTextBody2"
                                #text _("Textbox Opacity: [opacity:.0f]%") style "shaddyTextBody1"
                                bar value FieldValue(persistent, "opacity", range=1.0, style="slider")

                vbox:
                    label _("")
### Shaddy Additions ###

default persistent.pref_text_size = gui.text_size

init -500 screen say(who, what):
    style_prefix "say"

    window:
        id "window"

        if what != "" and what != None:
            background Transform(Image("gui/textbox.png", xalign=0.5, yalign=1.0), alpha=persistent.opacity)
        else:
            background Transform(Image("gui/textbox.png", xalign=0.5, yalign=1.0), alpha=0)

        if who is not None:

            window:
                id "namebox"
                if who != "" and who != None:
                    background Frame(Transform(Image("gui/namebox.png", gui.namebox_borders, tile=gui.namebox_tile, xalign=gui.name_xalign), alpha=persistent.opacity))
                else:
                    background Frame(Transform(Image("gui/namebox.png", gui.namebox_borders, tile=gui.namebox_tile, xalign=gui.name_xalign), alpha=0))
                style "namebox"
                text who id "who"

        if persistent.say_window_alpha < 0.6:
            text what id "what" size persistent.pref_text_size outlines [(3, "#000", 1, 1)]
        else:
            text what id "what" size persistent.pref_text_size outlines [(3, "#000", 1, 1)]

    if not renpy.variant("small"):
        add SideImage() xalign 0.0 yalign 1.0

init -500 screen input(prompt):
    style_prefix "input"

    if renpy.variant("android"):

        window:
            background Transform(Image("gui/textbox.png", xalign=0.5, yalign=0), alpha=persistent.opacity)

            has vbox:
                xalign gui.dialogue_text_xalign
                xpos gui.dialogue_xpos
                xsize gui.dialogue_width
                ypos gui.dialogue_ypos

            text prompt style "input_prompt" outlines [(3, "#000", 1, 1)]
            input id "input" outlines [(3, "#000", 1, 1)]

    else:

        window:
            background Transform(Image("gui/textbox.png", xalign=0.5, yalign=1.0), alpha=persistent.opacity)

            has vbox:
                xalign gui.dialogue_text_xalign
                xpos gui.dialogue_xpos
                xsize gui.dialogue_width
                ypos gui.dialogue_ypos

            text prompt style "input_prompt" outlines [(3, "#000", 1, 1)]
            input id "input" outlines [(3, "#000", 1, 1)]


screen choice(items):
    style_prefix "choice"
    vbox spacing 5 xcenter 0.5 ycenter 0.5:
        for n, i in enumerate(items, 1):
            if n < 10:
                key str(n) action i.action
                key "K_KP" + str(n) action i.action
                textbutton str(n) + ") " + i.caption action i.action
            else:
                textbutton i.caption action i.action


default a_credits = ""

# label get_credits:
#     $ a_credits = renpy.call_screen("add_credits", prompt="Enter Amount", a_credits=0, done=Return(True))
#     $ credits = int(a_credits)
#     return

# screen add_credits(prompt, a_credits=0):
#     modal True
#     window style "input_window":
#         vbox xcenter 0.5 ycenter 0.5:
#             text prompt style "input_prompt" xcenter 0.5 ycenter 0.5
#             input id "input" style "input_text" default credits length 8 allow "0123456789" xcenter 0.5 ycenter 0.55

# screen add_credits(prompt, a_credits=0):
#     modal True
#     window style "input_window":
#         vbox xcenter 0.5 ycenter 0.5:
#             text prompt style "input_prompt" xcenter 0.5 ycenter 0.5
#             input id "input" style "input_text" default credits length 8 allow "0123456789" xcenter 0.5 ycenter 0.55

default rename = False

label Names:
    scene black
    show ai m00 with Dissolve(2)
    $ persistent.cname = renpy.input ("What is your first name?", default="{}".format(persistent.cname), length=15, allow="-'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ").strip() or "{}".format(persistent.cname)
    $ persistent.lname = renpy.input ("What is your last name?", default="{}".format(persistent.lname), length=15, allow="-'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ").strip() or "{}".format(persistent.lname)
    $ persistent.cnick = renpy.input ("What is your nickname?", default="{}".format(persistent.cnick), length=15, allow="-'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ").strip() or "{}".format(persistent.cnick)
    $ cname = persistent.cname
    $ lname = persistent.lname
    $ cnick = persistent.cnick
    $ persistent.NameSet = True
    return


label get_credits:
    call screen add_credits("a_credits")
    $ a_credits = a_credits
    $ credits = int(a_credits)
    return


screen add_credits(a_credits, done=Return(True)):
    modal True
    zorder 200
    # style_prefix "confirm"
    frame:
        align(0.5,0.5)
        vbox spacing 10 xcenter 0.5 ycenter 0.5:
            label _("Enter amount?") xalign 0.5
            input default "None" value VariableInputValue(a_credits,returnable=True) length 8 allow "0123456789" xalign 0.5

            hbox spacing 20 xalign 0.5:
                textbutton _("Done") action done

style shaddyQMenu is button_text:
    size 25
    outlines [(3,"#000",1,1)]

style shaddyTextBoxHeader is text:
    size 60
    outlines [(3,"#000",1,1)]
    color "#0ed6f9"
    font "shaddyMod/212 Leahlee Sans.otf"

style cheatColor is text:
    size 35
    color "#ffffff"
